progress[role] {
	display: inline-block;
	position: relative;
	width: 10em;
	height: 1em;
	vertical-align: -.2em;
	background-image: url('data:image/gif;base64,R0lGODlhIAAQAPAAAP///////yH5BAkHAAEAIf8LTkVUU0NBUEUyLjADAQAAACwAAAAAIAAQAAACLISDqRvmDwGbKdpD57VZ79gtHxhW41OaJ5auToq4bClLcA03co7fu+/i/ToFACH5BAkHAAEALAAAAAAgABAAAAIshA+hyx0Io5srWkPptXlu2TUfFIrjUTInmiorm75YKye03D74/ea1v4sFGwUAIfkECQcAAQAsAAAAACAAEAAAAi2EjxDL7ZEiepTJW+uVme7YPV8SOuNUWqeRqmu7rCwsK7QMQ/WNt7Wd+vFejAIAIfkECQcAAQAsAAAAACAAEAAAAiuEjxnL7ZEiepTJW+uVme7YPZ8SNuNUWqeRqmu7rCwsAzAk37We032788kKACH5BAkHAAEALAAAAAAgABAAAAIsjIGpC+YPA5sp2kPntVnv2C0fGFbjU5onlq5OirhsKUtwDTdyjt+77+L9OgUAIfkECQcAAQAsAAAAACAAEAAAAiyMH6DLDQijmytaQ+m1eW7ZNR8UiuNRMieaKiubvlgrJ7TcPvj95rW/iwUbBQAh+QQJBwABACwAAAAAIAAQAAACLYyPAcvtkCJ6lMlb65WZ7tg9XxI641Rap5Gqa7usLCwrtAxD9Y23tZ368V6MAgAh+QQBBwABACwAAAAAIAAQAAACK4yPCcvtkCJ6lMlb65WZ7tg9nxI241Rap5Gqa7usLCwHMCTftZ7TfbvzyQoAOw==');
	
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}

progress[role],
progress[aria-valuenow]:before {
	background-color: #0a246a;
}

progress[role],
progress[role]:after {
	background-repeat:repeat-x;
	background-position: 0 0;
	-moz-background-size: auto 100%;
	-webkit-background-size: auto 100%;
	background-size: auto 100%;
}

/* Determinate only overrides */
progress[aria-valuenow] {
	background: #eee;
}

progress[aria-valuenow]:before {
	content: "";
	display: block;
	height: 100%;
}

/* Overlay */
progress[role]:after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
}
